---
- name: Console
  hosts: console
  become: true
  become_method: sudo
  vars:
    server_port: 8006
    sb_app_name: console
    sb_app_artifact_id: console
    sb_app_version: 0.0.5

  roles:
  - role: java
    tags: ['java']
    use_proxy: true
    java_packages:
    - java-1.8.0-openjdk
    users_create_per_user_group: false
    groups_to_create: "{{ sb_user_groups_definitions }}"
    users: "{{ sb_users_definition }}"

  - role: services
    tags: ['java']
    use_proxy: true
    sb_app_artifact_file: "{{ playbook_dir}}/../{{sb_app_name}}/target/{{sb_app_artifact_id}}-{{sb_app_version}}.jar"
    sb_app_run_args: "--server.port={{server_port}} --spring.profiles.active={{sb_app_active_profile}} --GATEWAY_CLUSTER_URI=http://{{ groups['gateway'][0] }}:8000 --EUREKA_URI=http://{{ groups['registry'][0] }}:8761/eureka/"
  environment:
    http_proxy: "{{ http_proxy }}"
    https_proxy: "{{ http_proxy }}"
